#include "Horloge.h"

Horloge::Horloge()
{ 	clock_gettime(CLOCK_REALTIME, &tp);
	m_startTime  = tp.tv_sec;	
	m_paused = false;
	m_buffer = 0;}

float Horloge::getTime()
{	if(m_paused)
		return m_buffer;
	else
	{
		clock_gettime(CLOCK_REALTIME, &tp);
		return (float)(tp.tv_sec - m_startTime) + m_buffer;
	}
}

bool Horloge::getStatus() const
{return m_paused;	}


void Horloge::pause()
{
	if(!m_paused)
	{
		m_buffer = getTime();
		m_paused = true;
	}
}

void Horloge::start()
{
	if(m_paused)
	{
		clock_gettime(CLOCK_REALTIME, &tp);
		m_startTime  = tp.tv_sec;
		m_paused = false;
	}
}

void Horloge::stop()
{
	pause();
	reset();
}

void Horloge::reset()
{
	clock_gettime(CLOCK_REALTIME, &tp);
	m_startTime  = tp.tv_sec;
	m_buffer = 0;
}
