#include "MovableElement.h"
#include "constantes.h"

MovableElement::MovableElement()
	:my_x(0),my_y(0),my_dx(3), my_dy(3), my_w(10), my_h(10)
{}
MovableElement::MovableElement(int x, int y, int dx, int dy, int w, int h)
	:my_x(x), my_y(y), my_dx(dx), my_dy(dy), my_w(w), my_h(h)
{}
MovableElement::~MovableElement()
{}

void MovableElement::moveRight()
{my_x += my_dx;	}
void MovableElement::moveLeft()
{my_x -= my_dx;}
void MovableElement::moveDown()
{my_y += my_dy;}
void MovableElement::moveUp()
{my_y -= my_dy;}

void MovableElement::move() 
{
	my_x += my_dx;
	my_y += my_dy;
}


//Accesseurs
int MovableElement::getX() const
{return my_x;	}
int MovableElement::getY() const
{return my_y;	}
int MovableElement::getDY() const
{return my_dy;	}
int MovableElement::getW() const
{return my_w;	}
int MovableElement::getH() const
{return my_h;	}
void MovableElement::setX(int x)
{my_x = x;	}
void MovableElement::setY(int y)
{my_y = y;	}
