#include <iostream>
#include <vector>
#include "GameModel.h"
#include "Vaisseau.h"
#include "TypeTir.h"
#include "Tir.h"

using namespace std;

// Accesseurs

int Vaisseau::getHP() const
{	return my_hp;   }
int Vaisseau::getMaxHP() const
{	return my_pvMax;	}

TypeTir* Vaisseau::getTypeTir() const
{	return my_typeTir;  }

bool Vaisseau::getAlive() const
{	return my_isAlive;   }

float Vaisseau::getShootingSpeed() const
{	return my_shootingSpeed;	}

sf::Clock* Vaisseau::getClock()
{	return &my_clock;	}

void Vaisseau::setHP(int i)
{    my_hp = i; }

void Vaisseau::setTypeTir(TypeTir* type)
{   my_typeTir = type;  }

void Vaisseau::setAlive(bool b)
{   my_isAlive = b; }

// Méthodes

Vaisseau::Vaisseau(int hp,TypeTir* type, float shootingSpeed)
{
    my_hp = my_pvMax = hp;
    my_typeTir = type;
    my_isAlive = true;
    my_shootingSpeed = shootingSpeed;
}

Vaisseau::~Vaisseau()
{}