#include <iostream>
#include <ctime>
#include "GameView.h"
#include "GameModel.h"

using namespace std;

int main()
{	
	srand(time(NULL));

	GameModel *model = NULL;
 	GameView * view = new GameView(VIEW_WIDTH, VIEW_HEIGHT,32);

 	view->intro();
 	
	bool quit = false;
	int difficulty = 1,initialLives = 3;

	while(quit == false)
	{
		switch(view->menu())
		{
			case 1:
				model = new GameModel(7, initialLives, difficulty);
				view->setModel(model);
				while(view->treatEvents(quit))
				{
					model->nextStep();
					view->synchronize();
					view->draw();
					view->Display();
				}
				delete model;
				
				break;
			case 2:
				view->viewHighscores(quit);
				break;
			case 3:
				view->options(quit, difficulty, initialLives);
				break;
			case 4 :
				quit = true;
				break;
		}
	}
  
  delete view;
  
	return 0;

}
